Risk
3/19/2013
05:21 PM
Connect Directly
LinkedIn
Twitter
Google+
RSS
E-Mail
50%
50%

Apple Fixes iOS Lock Bypass

Apple's iOS 6.1.3 update addresses a screen lock flaw and improves Maps for Japan.

Apple iPhone 5S: The Hot Rumors
Apple iPhone 5S: The Hot Rumors
(click image for slideshow)
Having recently updated its desktop operating system, OS X, Apple is doing the same for its iOS mobile operating system.

The company on Tuesday released iOS 6.1.3. The update weighs in at a mere 18.2 MB. It can be downloaded directly to an iOS device from the Settings/General/Software Update menu or through iTunes. It is mainly intended to fix a security flaw that made it possible to bypass the passcode screen.

Exploiting the flaw requires some manual dexterity and a call made to emergency services (911) that's immediately cancelled -- perhaps not the best number for a law breaker to call. Doing so provides access to the device's contacts, voicemail and photos, but not to the rest of the apps on the device. However, anyone able to try this exploit presumably has control of the device in question and could employ other tools that can access data on mobile devices, locked or not.

[ Apple has other problems. Read Is Apple Losing War Of Words? ]

There may be other security fixes as well, but Apple has been slow to update its security updates page, through which it distributes security patch information.

Several hours after iOS 6.1.3 was released, while this story was being written, Apple finally published a link pointing to information about the security content of the update. But the link -- http://support.apple.com/kb/HT5701 -- did not point to any published content. Shortly thereafter, the broken link was removed. It's likely that by the time this article is published, Apple will have repaired the broken link.

The update also includes improvements to Apple's Maps app for Japan. Apple has been improving its cartographic data more broadly since it revised its Maps app (and was roundly criticized for it) last September. Last month, the company expanded its effort to hire engineers to improve Maps.

A link to a new Apple TV update, Apple TV 5.2.1, was also removed from Apple's security updates page, though the linked page continues to be accessible. It describes fixes for three security flaws affecting Apple TV units: CVE-2013-0977, CVE-2013-0978 and CVE-2013-0981.

The first involves a state management flaw that has to do with the way Mach-O executable files with overlapping segments are handled, a vulnerability that could be exploited to allow unsigned code. The second involves an information disclosure flaw in the ARM prefetch abort handler that could allow a local user to access the address of structures in the kernel. The third involves an IOUSBDeviceFamily driver that didn't adequately validate pipe object pointers, allowing the possibility of arbitrary code execution.

Comment  | 
Print  | 
More Insights
Comments
Newest First  |  Oldest First  |  Threaded View
PJS880
50%
50%
PJS880,
User Rank: Ninja
4/1/2013 | 3:32:34 AM
re: Apple Fixes iOS Lock Bypass
It is kind of funny when you think about it, a simple bypass to unlock the phone and have access to their phones data. It is even more funny when that phone is leading the mobile device pack.These seem to cover just about any user, all the programs are pretty common which makes the number of people susceptible much higher. It is a good thing Apple addressed these issues but should they even have been issues to begin with?

Paul Sprague
InformationWeek Contributor
Fill
50%
50%
Fill,
User Rank: Apprentice
3/21/2013 | 9:48:12 AM
re: Apple Fixes iOS Lock Bypass
Well, you have to give props to Apple for at least doing a very quick fix.
Register for Dark Reading Newsletters
White Papers
Flash Poll
Current Issue
Cartoon
Video
Slideshows
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2014-0640
Published: 2014-08-20
EMC RSA Archer GRC Platform 5.x before 5.5 SP1 allows remote authenticated users to bypass intended restrictions on resource access via unspecified vectors.

CVE-2014-0641
Published: 2014-08-20
Cross-site request forgery (CSRF) vulnerability in EMC RSA Archer GRC Platform 5.x before 5.5 SP1 allows remote attackers to hijack the authentication of arbitrary users.

CVE-2014-2505
Published: 2014-08-20
EMC RSA Archer GRC Platform 5.x before 5.5 SP1 allows remote attackers to trigger the download of arbitrary code, and consequently change the product's functionality, via unspecified vectors.

CVE-2014-2511
Published: 2014-08-20
Multiple cross-site scripting (XSS) vulnerabilities in EMC Documentum WebTop before 6.7 SP1 P28 and 6.7 SP2 before P14 allow remote attackers to inject arbitrary web script or HTML via the (1) startat or (2) entryId parameter.

CVE-2014-2515
Published: 2014-08-20
EMC Documentum D2 3.1 before P24, 3.1SP1 before P02, 4.0 before P11, 4.1 before P16, and 4.2 before P05 does not properly restrict tickets provided by D2GetAdminTicketMethod and D2RefreshCacheMethod, which allows remote authenticated users to gain privileges via a request for a superuser ticket.

Best of the Web
Dark Reading Radio
Archived Dark Reading Radio
Three interviews on critical embedded systems and security, recorded at Black Hat 2014 in Las Vegas.